Set up the certificate for the internal (core) URL
post
Authorizations
defguard_sessionstringRequired
Body
cert_pemstring · nullableOptional
key_pemstring · nullableOptional
ssl_typestring · enumRequiredPossible values:
SSL configuration type for Defguard's internal (core) web server.
Responses
201
Internal URL certificate settings applied.
application/json
objectOptional
400
Invalid certificate settings.
application/json
401
Session is missing or invalid.
application/json
403
Requires admin privileges.
application/json
500
Unable to apply internal URL certificate settings.
application/json
post/api/v1/core/cert/internal_url_settings
POST /api/v1/core/cert/internal_url_settings HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 50
{
"cert_pem": null,
"key_pem": null,
"ssl_type": "none"
}{
"cert_info": {
"common_name": "vpn.example.com",
"not_after": "2027-08-04T10:00:00",
"not_before": "2026-08-04T10:00:00",
"valid_for_days": 365
}
}PreviousGet the certificates currently used by core and edge
NextSet up the certificate for the external (edge) URL
Last updated
Was this helpful?